package com.huimv.secure.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 车辆闸机信息记录
 * </p>
 *
 * @author author
 * @since 2024-01-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("bill_access_door")
public class BillAccessDoor implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 0未通过 1通过
     */
    private Integer billStatus;

    /**
     * 检测时间
     */
    private LocalDateTime checkDate;

    /**
     * 检测地点
     */
    private String checkLocation;

    private Integer locationId;

    /**
     * 照片
     */
    private String urlImg;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户名称
     */
    private String userName;

    private Integer farmId;


}
